	SUBROUTINE TERM
	COMMON IB(10,10),IA(8,2),IC(8,2),NA,IS1,IS2,CHAR,CLEAR
	LOGICAL*1 CLEAR(6),IB
	DATA CLEAR/"33,"131,"40,"40,"33,"153/
1	WRITE(5,2)
2	FORMAT(///' What type of terminal are you using ?'/
     C'   A) ADDS Regent 100'/'   B) Digital VT100'/
     C'   C) Digital VT52 (decscope)'/
     C'   D) Hardcopy or Graphics'//' Enter A,B,C or D: ',$)
	READ(5,3,END=12) ANS
3	FORMAT(A1)
	IF(ANS.EQ.'A'.OR.ANS.EQ.'a') GOTO 11
	IF(ANS.EQ.'B'.OR.ANS.EQ.'b') GOTO 15
	IF(ANS.EQ.'C'.OR.ANS.EQ.'c') GOTO 20
	IF(ANS.NE.'D'.AND.ANS.NE.'d') GOTO 1
	WRITE(5,5)
5	FORMAT(' This game is designed only for the CRT terminals'/
     C' listed.  Results are unpredictable on other devices.')
10	CALL CLOSE(5)
11	RETURN
15	WRITE(5,16) "33  ! SWITCH VT100 TO VT-52 COMPATIBLE MODE
16	FORMAT(X,A1,'[?2l'/'+      ')
20	CLEAR(6)='J'    ! VT-52 COMPATIBLE
	GOTO 11
12	CALL CLOSE(5)
	GOTO 1
	END
